##### basic_signal_set::basic_signal_set (1 of 4 overloads)

Construct a signal set without adding any signals.

    basic_signal_set(
        asio::io_service & io_service);

This constructor creates a signal set without registering for any signals.

###### Parameters

io_service

  The `io_service` object that the signal set will use to dispatch handlers for any asynchronous operations performed on the set.